curl --request GET \
--url https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"data[].symbol": "<string>",
"data[].ceilPrice": 123,
"data[].floorPrice": 123,
"data[].refPrice": 123,
"data[].bidPrice01": 123,
"data[].bidPrice02": 123,
"data[].bidPrice03": 123,
"data[].bidQtty01": 123,
"data[].bidQtty02": 123,
"data[].bidQtty03": 123,
"data[].offerPrice01": 123,
"data[].offerPrice02": 123,
"data[].offerPrice03": 123,
"data[].offerQtty01": 123,
"data[].offerQtty02": 123,
"data[].offerQtty03": 123,
"data[].matchPrice": 123,
"data[].matchQtty": 123,
"data[].change": 123,
"data[].changePercent": 123,
"data[].open": 123,
"data[].high": 123,
"data[].low": 123,
"data[].avg": 123,
"data[].totalVol": 123,
"data[].totalVal": 123,
"data[].buyForeignQtty": 123,
"data[].sellForeignQtty": 123,
"data[].room": "<string>",
"data[].indexNumber": 123,
"tradingDate": "<string>"
}Symbol & price
Get symbol and price information (cash market).
curl --request GET \
--url https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/tartarus/v1/tickerCommons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"data[].symbol": "<string>",
"data[].ceilPrice": 123,
"data[].floorPrice": 123,
"data[].refPrice": 123,
"data[].bidPrice01": 123,
"data[].bidPrice02": 123,
"data[].bidPrice03": 123,
"data[].bidQtty01": 123,
"data[].bidQtty02": 123,
"data[].bidQtty03": 123,
"data[].offerPrice01": 123,
"data[].offerPrice02": 123,
"data[].offerPrice03": 123,
"data[].offerQtty01": 123,
"data[].offerQtty02": 123,
"data[].offerQtty03": 123,
"data[].matchPrice": 123,
"data[].matchQtty": 123,
"data[].change": 123,
"data[].changePercent": 123,
"data[].open": 123,
"data[].high": 123,
"data[].low": 123,
"data[].avg": 123,
"data[].totalVol": 123,
"data[].totalVal": 123,
"data[].buyForeignQtty": 123,
"data[].sellForeignQtty": 123,
"data[].room": "<string>",
"data[].indexNumber": 123,
"tradingDate": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of stock symbols. Do not combine with the index param.
Stock basket: 1 = HOSE, 2 = VN30, 3 = HNX, 4 = HNX30, 5 = UPCOM, 10 = Midcap, 11 = VN100, 12 = VNAllShare, 13 = VNSmallCap, 14 = VNXAllShare, 15 = VN50, 16 = VNSI. Do not combine with the tickers param.
Response
Successful response
List of ticker information.
Stock symbol.
Ceiling price.
Floor price.
Reference price.
Bid price 1.
Bid price 2.
Bid price 3.
Bid volume 1.
Bid volume 2.
Bid volume 3.
Offer price 1.
Offer price 2.
Offer price 3.
Offer volume 1.
Offer volume 2.
Offer volume 3.
Matched price.
Matched volume.
Price change.
Change percent.
Open price.
High price.
Low price.
Average price.
Total trading volume.
Total trading value.
Foreign buy volume.
Foreign sell volume.
Foreign room.
Stock basket index.
Trading date (dd/MM/yyyy).